# Interface CookieListener

public interface CookieListener
An interface for classes which can listen for cookies being rejected and the reason.

Author:
  Russell Gold

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACCEPTED`
Indicates that the cookie was accepted.
`static final int`
`DOMAIN_NOT_SOURCE_SUFFIX`
Indicates that the domain attribute is not a suffix of the source domain issuing the cookie.
`static final int`
`DOMAIN_ONE_DOT`
Indicates that the domain attribute has only one dot.
`static final int`
`DOMAIN_TOO_MANY_LEVELS`
Indicates that the source domain has an extra dot beyond those defined in the domain attribute.
`static final int`
`PATH_NOT_PREFIX`
Indicates that the source path does not begin with the path attribute.

## Method Summary

Modifier and Type
Method
Description
`void`
`cookieRejected(String cookieName, int reason, String attribute)`
Invoked when a cookie is rejected by HttpUnit.

## Field Details

### ACCEPTED

static final int ACCEPTED
Indicates that the cookie was accepted.

See Also:
  - Constant Field Values

### DOMAIN_ONE_DOT

static final int DOMAIN_ONE_DOT
Indicates that the domain attribute has only one dot.

See Also:
  - Constant Field Values

### DOMAIN_NOT_SOURCE_SUFFIX

static final int DOMAIN_NOT_SOURCE_SUFFIX
Indicates that the domain attribute is not a suffix of the source domain issuing the cookie.

See Also:
  - Constant Field Values

### DOMAIN_TOO_MANY_LEVELS

static final int DOMAIN_TOO_MANY_LEVELS
Indicates that the source domain has an extra dot beyond those defined in the domain attribute.

See Also:
  - Constant Field Values

### PATH_NOT_PREFIX

static final int PATH_NOT_PREFIX
Indicates that the source path does not begin with the path attribute.

See Also:
  - Constant Field Values

## Method Details

### cookieRejected

void cookieRejected(String cookieName, int reason, String attribute)
Invoked when a cookie is rejected by HttpUnit.